OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001043OMNeT++runtime / Qtenvpublic2018-06-11 22:432018-06-19 08:20
Reporterbourou01 
Assigned Toattila 
PriorityimmediateSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLaptop MSI GL72 7QFOSLinux archlinux 4.16.13-2-ARCHOS Version4.16.13-2
Product Version5.3 
Target VersionFixed in Version5.4 
Summary0001043: Qtenv crash with tictoc example
DescriptionQtenv start, after selecting config and pressing OK, it quit immediately with Segmentation fault (core dumped) error.
Steps To ReproduceJust start the simulation with './tictoc' or './tictoc_dbg'
Additional InformationI suspect my QT5 version which is "5.11.0"
TagsNo tags attached.
Attached Filestxt file icon omnet5.3-bug_report.txt [^] (2,543 bytes) 2018-06-11 22:43 [Show Content]

- Relationships

-  Notes
(0001356)
attila (developer)
2018-06-18 09:09

The cause is indeed most likely Qt 5.11 (which had some regressions), and the crash is already fixed in OMNeT++ 5.4.
Try upgrading your OMNeT++ installation to 5.4, and please report back if that works for you.
(0001359)
bourou01 (reporter)
2018-06-18 19:41

Work like a charm with OMNeT++ 5.4 thanks

- Issue History
Date Modified Username Field Change
2018-06-11 22:43 bourou01 New Issue
2018-06-11 22:43 bourou01 File Added: omnet5.3-bug_report.txt
2018-06-18 09:09 attila Note Added: 0001356
2018-06-18 09:14 attila Assigned To => attila
2018-06-18 09:14 attila Status new => assigned
2018-06-18 09:16 attila Status assigned => confirmed
2018-06-18 19:41 bourou01 Note Added: 0001359
2018-06-19 08:20 attila Status confirmed => resolved
2018-06-19 08:20 attila Fixed in Version => 5.4
2018-06-19 08:20 attila Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker